### Method

# Cogl Renderer connect

#### Declaration [src]

    gboolean
    cogl_renderer_connect (
      CoglRenderer* renderer
      GError** error
    )

#### Description [src]

Connects the configured `renderer`. Renderer connection isn’t a very active process, it basically just means validating that any given constraint criteria can be satisfied and that a usable driver and window system backend can be found.

#### Return value

Type: `gboolean`

`TRUE` if there was no error while connecting the given `renderer`. `FALSE` if there was an error.